GWT 2.7.0

## com.google.gwt.core.ext.linker
Enum EmittedArtifact.Visibility

    java.lang.Object
      java.lang.Enum<EmittedArtifact.Visibility>
          com.google.gwt.core.ext.linker.EmittedArtifact.Visibility

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EmittedArtifact.Visibility>

Enclosing class:
  EmittedArtifact

    public static enum EmittedArtifact.Visibility

extends java.lang.Enum<EmittedArtifact.Visibility>

Describes the visibility of an artifact.

Enum Constant Summary
`Deploy` A deploy artifact is deployed to the server but is never served to the client.
`LegacyDeploy` For legacy use only - used for artifacts that were previously marked as private because they should not be delivered to the client, but actually should be visible to the server.
`Private` A private artifact is something that is only used during the build process.
`Public` A public artifact is something that may be served to clients.
`Source` A Source artifact is a file intended for source-level debugging in a browser.

Method Summary
`boolean` | `matches(EmittedArtifact.Visibility visibility)` Returns true if this visibility matches the requested visibility level, dealing with the fact that `LegacyDeploy` matches both `Private` and `Deploy`.
`static EmittedArtifact.Visibility` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EmittedArtifact.Visibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Public

    public static final EmittedArtifact.Visibility Public

  A public artifact is something that may be served to clients.

### Private

    public static final EmittedArtifact.Visibility Private

  A private artifact is something that is only used during the build process.

### Deploy

    public static final EmittedArtifact.Visibility Deploy

  A deploy artifact is deployed to the server but is never served to the client.

### Source

    public static final EmittedArtifact.Visibility Source

  A Source artifact is a file intended for source-level debugging in a browser. It should be served to clients while developing but not in production unless the app is open source.

### LegacyDeploy

    public static final EmittedArtifact.Visibility LegacyDeploy

  For legacy use only - used for artifacts that were previously marked as private because they should not be delivered to the client, but actually should be visible to the server. These artifacts will now be treated as both Private and Deploy, so that existing build tools that expect to find them in the output directory for Private artifacts will find them. New code should use Deploy instead.

Method Detail

### values

    public static EmittedArtifact.Visibility[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EmittedArtifact.Visibility c : EmittedArtifact.Visibility.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EmittedArtifact.Visibility valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### matches

    public boolean matches(EmittedArtifact.Visibility visibility)

  Returns true if this visibility matches the requested visibility level, dealing with the fact that `LegacyDeploy` matches both `Private` and `Deploy`.

  Parameters:
    `visibility` -
  Returns:
    true if this visibility matches the requested level

GWT 2.7.0